Ask Your Question
0

biller 실행시 에러에 대해 문의드립니다.

asked 2019-12-31 14:57:43 +0900

arksh gravatar image

빌링 서버가 실행이 되지 않아서 문의드립니다.

로그파일에서 확인한 메세지 입니다. F1231 05:41:47.664650 9263 manifest_handler.cc:699] FunapiBillerServer: got an error while opening libfunapi-biller.so: undefined symbol: fun::kOneStorePackageNameKey

해당 빌링서버를 사용하는 서버를 디버그로 실행시 확인되는 로그입니다. I1231 05:56:09.656565 10022 tcp_client.h:469] TcpClient - connected: 127.0.0.1:12820 I1231 05:56:09.656991 10014 manifest_handler.cc:766] Initializing BillingClient E1231 05:56:09.657058 10022 transport.cc:1381] Failed to set the 'TCP_NODELAY' option, Please check the 'NET_ADMIN' capability key if you're running in Docker: error=system:9 E1231 05:56:09.657161 10022 tcp_client.h:462] TcpClient - failed to connect: 127.0.0.1:12810, system:111 F1231 05:56:09.657202 10014 billing_client.cc:336] Failed to connect to the iFun Biller service. Please check if iFun Biller process is running and security or firewall settings.

어떻게 조치하여야 할까요?

edit retag flag offensive close merge delete

Comments

안녕하세요 현재 사용하고 계신 엔진과 빌러의 버전을 알려주실 수 있을까요?

seonyul.park gravatar imageseonyul.park ( 2020-01-01 02:52:50 +0900 )edit

Engine version: 1.0.0-4343bionic 빌러 엔진 버전은 어디서 확인할 수 있을까요? apt-get install funapi-biller1 명령어로 설치하였습니다.

arksh gravatar imagearksh ( 2020-01-02 09:55:46 +0900 )edit

3 answers

Sort by » oldest newest most voted
0

answered 2020-01-02 13:37:45 +0900

arksh gravatar image

답변 감사드립니다. 아이펀빌러 버전 1.0.0-3316, 아이펀엔진 버전 1.0.0-4447bionic 버전으로 업데이트하였습니다. 업데이트 후에 재실행하였는데, 동일한 에러가 발생합니다.

로그파일의 메세지 입니다. FunapiBillerServer: got an error while opening libfunapi-biller.so: undefined symbol: fun::kOneStorePackageNameKey

systemctl status funapi-biller 조회시 확인되는 메세지입니다. Jan 02 04:25:38 mixdev funapi-biller-launcher[3211]: /usr/share/funapi/bash/launcher-common.sh: line 188: 3247 Aborted (core dumped) $fork_prefix $FUNAPI_BIN_DIR/funapi_runner $args $@ Jan 02 04:25:38 mixdev funapi-biller-launcher[3211]: [ERROR] funapi_biller_server@mixdev termianted with 134.

edit flag offensive delete link more

Comments

사용하고 계신 빌러는 experimental 버전입니다. funapi1-dev 도 experimental 버전으로 설치해주셔야 합니다. 아래 링크에 나와있는 방법으로 배포판 타입을 experimental 로 변경하신 후 아이펀엔진 (funapi1-dev) 1.0.0-4410 experimental 이상 버전을 사용해 주시기 바랍니다. https://www.ifunfactory.com/engine/do... 불편을 드려 죄송합니다.

seonyul.park gravatar imageseonyul.park ( 2020-01-02 14:01:51 +0900 )edit

funapi_select_repo experimental 실행한뒤, funapi_select_repo로 확인해보았습니다.

Current repository: experimental Installed funapi1-runtime is not belong to non-free-experimental repository Current package: fuapi1-runtime_1.0.0-4447bionic: stable

arksh gravatar imagearksh ( 2020-01-02 14:29:46 +0900 )edit

apt-get upgrade 실행후 버전 확인해보니, 아이펀 빌러(3345), 아이펀엔진(4447) 로 확인됩니다. 버전이 적합하게 설치가 된건가요? 최초 문의드린 동일한 로그가 확인됩니다.

arksh gravatar imagearksh ( 2020-01-02 14:31:04 +0900 )edit

아이펀엔진 4446 버전은 stable 배포판 입니다. funapi_select_repo experimental, apt-get update 를 순서대로 입력하신 후 sudo apt-get install funapi1-dev=1.0.0-4488bionic funapi1-runtime=1.0.0-4488bionic libfunapi1-mongodblogger=1.0.0-4488bionic python-funapi1-dev=1.0.0-4488bionic 명령어로 엔진 버전을 experimental 버전으로 변경하실 수 있습니다.

seonyul.park gravatar imageseonyul.park ( 2020-01-02 14:52:15 +0900 )edit

아, 감사드립니다. 실행확인하였습니다.

arksh gravatar imagearksh ( 2020-01-02 15:22:31 +0900 )edit
0

answered 2020-01-02 11:08:40 +0900

seonyul.park gravatar image

안녕하세요. 아이펀팩토리 입니다.

아이펀빌러 1.0.0-3316 (1.0.0-3276 이상) 버전을 사용하기 위해서는 아이펀엔진 (funapi1-dev) 1.0.0-4410 이상 버전을 사용하셔야 합니다.

아이펀엔진 버전을 올린 후 사용하시면 정상 동작할 것입니다.

혹시 아이펀엔진 버전을 올릴 수 없는 상황이라면 아이펀빌러 1.0.0-3198 버전을 사용하시면 됩니다.

특정 버전의 아이펀엔진을 설치하는 방법은 아래 페이지 하단의 팁을 참고해 주세요.

https://www.ifunfactory.com/engine/do...

확인해보시고 더 궁금한 점이 있으면 말씀해 주세요.

감사합니다.

edit flag offensive delete link more
0

answered 2020-01-02 10:00:13 +0900

Jinuk gravatar image

updated 2020-01-02 10:01:04 +0900

아이펀엔진과 빌러의 버전이 맞지 않는 버전인 것으로 추측됩니다.

dpkg -l | grep funapi 결과로 나오는 아이펀엔진 파일들의 정보를 보내주시면 수정 방법을 전달드리겠습니다.

edit flag offensive delete link more

Comments

funapi-apt-setup (0.1.0--99trusty) funapi-biller1 (1.0.0-3316bionic) funapi-leaderboard1 (1.0.0-2990bionic) funapi1-dev (1.0.0-4343bionic) funapi1-runtime (1.0.0-4343bionic) python-funapi1-dev (1.0.0-4343bionic) 으로 확인됩니다

arksh gravatar imagearksh ( 2020-01-02 10:05:42 +0900 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2019-12-31 14:57:43 +0900

Seen: 78 times

Last updated: Jan 02